Bug 130634 - new port: audio/amarok2
new port: audio/amarok2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 22:30 UTC by datahead4
Modified: 2009-03-09 10:50 UTC (History)
0 users

See Also:


Attachments
file.shar (30.82 KB, text/plain)
2009-01-16 22:30 UTC, datahead4
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description datahead4 2009-01-16 22:30:04 UTC
The attached shell archive is a proposed port for Amarok 2 based on version 2.0.1.1 (http://amarok.kde.org/en/releases/2.0.1.1) and as discussed on the kde-freebsd mailing list (see thread http://mail.kde.org/pipermail/kde-freebsd/2008-December/004126.html).

This port depends on the mysql${MYSQL_VER}-embedded library as discussed in ports PR 128757 (http://www.freebsd.org/cgi/query-pr.cgi?pr=128757) and has been tested with MySQL version 5.0 and 5.1 and it builds against KDE versions 4.1.4 and 4.2-beta2.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2009-01-17 10:12:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Take.
Comment 2 Max Brazhnikov freebsd_committer 2009-02-13 22:11:34 UTC
State Changed
From-To: open->suspended

Blocked by mysql${MYSQL_VER}-embedded ports.
Comment 3 Max Brazhnikov freebsd_committer 2009-03-04 14:00:19 UTC
State Changed
From-To: suspended->open

mysql-embedded has been added.
Comment 4 Max Brazhnikov freebsd_committer 2009-03-08 20:47:52 UTC
State Changed
From-To: open->repocopy

Please, repocopy audio/amarok to audio/amarok-kde4
Comment 5 Max Brazhnikov freebsd_committer 2009-03-08 20:49:50 UTC
Responsible Changed
From-To: makc->portmgr

Over to portmgr.
Comment 6 Joe Marcus Clarke freebsd_committer 2009-03-09 03:39:19 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2009-03-09 03:39:19 UTC
Responsible Changed
From-To: portmgr->makc

Repocopy complete.
Comment 8 dfilter freebsd_committer 2009-03-09 10:48:30 UTC
makc        2009-03-09 10:48:13 UTC

  FreeBSD ports repository

  Modified files:
    audio/amarok-kde4    Makefile distinfo pkg-plist 
  Removed files:
    audio/amarok-kde4/files hide-main-menu-bar-feature.patch 
                            patch-amarok_src_contextbrowser.cpp 
                            patch-amarok_src_mediadevice_mtp_mtpmediadevice.cpp 
                            patch-amarok_src_metadata_audible_Makefile.in 
                            patch-amarok_src_metadata_audible_audibleproperties.h 
                            patch-amarok_src_metadata_audible_audibletag.h 
                            patch-amarok_src_metadata_mp4_mp4file.cpp 
                            patch-amarok_src_metadata_mp4_mp4properties.cpp 
                            patch-amarok_src_metadata_mp4_mp4tag.cpp 
                            patch-amarok_src_statusbar_statusbar.cpp 
                            patch-amarok_src_xmlloader.h 
                            patch-configure 
  Log:
  Update to 2.0.2 after repocopy.
  
  PR:             ports/130634
  Submitted by:   Matt Tosto <datahead4 at gmail.com>
  
  Revision  Changes     Path
  1.93      +32 -93     ports/audio/amarok-kde4/Makefile
  1.26      +3 -3       ports/audio/amarok-kde4/distinfo
  1.2       +0 -119     ports/audio/amarok-kde4/files/hide-main-menu-bar-feature.patch (dead)
  1.2       +0 -14      ports/audio/amarok-kde4/files/patch-amarok_src_contextbrowser.cpp (dead)
  1.2       +0 -44      ports/audio/amarok-kde4/files/patch-amarok_src_mediadevice_mtp_mtpmediadevice.cpp (dead)
  1.4       +0 -11      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_audible_Makefile.in (dead)
  1.2       +0 -14      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_audible_audibleproperties.h (dead)
  1.2       +0 -14      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_audible_audibletag.h (dead)
  1.4       +0 -21      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_mp4_mp4file.cpp (dead)
  1.2       +0 -14      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_mp4_mp4properties.cpp (dead)
  1.2       +0 -14      ports/audio/amarok-kde4/files/patch-amarok_src_metadata_mp4_mp4tag.cpp (dead)
  1.2       +0 -11      ports/audio/amarok-kde4/files/patch-amarok_src_statusbar_statusbar.cpp (dead)
  1.2       +0 -13      ports/audio/amarok-kde4/files/patch-amarok_src_xmlloader.h (dead)
  1.4       +0 -34      ports/audio/amarok-kde4/files/patch-configure (dead)
  1.37      +342 -1040  ports/audio/amarok-kde4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Max Brazhnikov freebsd_committer 2009-03-09 10:50:32 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!